Foreman - Feature #25637

Disable default auto-reload of the dashboard
12/06/2018 02:19 PM - Tomer Brisker

Status: Closed
Priority: High
Assignee: Tomer Brisker
Category: Dashboard
Target version:
Difficulty: Fixed in Releases: 1.21.0
Triaged: No Found in Releases:
Bugzilla link: 1650641 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6311
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1650641

Description of problem:

The Satellite dashboard will auto-reload by default. I'm not aware of any users that monitor the dashboard in a way that's helped by
auto-reload, and the reload can use a lot of system resources if the widgets are doing intense SQL.

I've even seen cases where the auto-reload has taken the Satellite down. This can happen if a user has a large number of systems,
and a widget runs SQL that takes longer than 60 seconds to run. This can result in a "stacking" effect where more queries are
coming in than can be cleared, and the Satellite will eventually become unresponsive.

It would be better if auto-reload was either disabled by default or removed entirely. This would provide a better experience for users
with lots of systems, since they would not need to disable the auto-reload to regain some performance headroom on the Satellite.

Version-Release number of selected component (if applicable): 6.4.1
Expected behavior: dashboard page does not auto-reload if user's browser is on the dashboard page

Actual behavior: dashboard page auto-reloads

Related issues:
Related to Foreman - Feature #1881: Auto refresh Closed 10/02/2012
Related to Foreman - Feature #25551: Prevent auto-refreshing on inactive dash... Closed

Associated revisions

Revision d4a0b9ee - 12/08/2018 12:51 AM - Tomer Brisker
Fixes #25637 - Default dashboard auto-refresh to off

Leaving auto-refresh on can lead to siginificant slowdowns and load on
the web server process, especially when using many widgets.

History

#1 - 12/06/2018 02:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6311 added

#2 - 12/06/2018 02:26 PM - Tomer Brisker
- Related to Feature #1881: Auto refresh added

#3 - 12/08/2018 12:52 AM - Anonymous
- Fixed in Releases 1.21.0 added
#4 - 12/08/2018 01:01 AM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset d4a0b9eeadbe796a4877ef50c84c87159cd0818b.

#5 - 01/15/2019 04:29 PM - Ewoud Kohl van Wijngaarden

- Subject changed from disable auto-reload of the dashboard to Disable default auto-reload of the dashboard

#6 - 01/16/2019 09:29 AM - Lukas Zapletal

- Related to Feature #25551: Prevent auto-refreshing on inactive dashboard tabs added
